package com.dxhy.common.exception;

/**
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:57:55
 *
 */

public class BaseException extends RuntimeException {
    private int code = 200;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public BaseException() {}

    public BaseException(String msg, int code) {
        super(msg);
        this.code = code;
    }

    public BaseException(String msg) {
        super(msg);
    }

    public BaseException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public BaseException(Throwable cause) {
        super(cause);
    }

    public BaseException(String msg, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(msg, cause, enableSuppression, writableStackTrace);
    }
}
